BASIC

Author Topic: Errors compiling for Html5,Html5-GL,Macintosh.....Can somebody help me??  (Read 2000 times)

Offline fasasoftware

  • Mc. Print
  • *
  • Posts: 20
    • View Profile
_______________________________________
Dear friend.... i try to compile the arkanoid software for html5 and html5-webgl and for mac...but i receive these errors....
i'm working with free version of gl basic...is it this the problem????
but for linux compile ok.... and also for windows....
for android....compile ok but idon't see the file apk...ok but iwill see better the manual....

The compiler again say to me that don't see the java_home variable envirronment ...but in truth exist!!!!
I'm sorry, but i'm a beginner of gl basic.....can somebody help me???thanks a lot...lestroso :-[




*** Configuration: OS-X_X86 ***
precompiling:
GPC - GLBasic Precompiler V.10.037 SN:9655d67f - 3D, NET
Wordcount:119 commands
compile+link:
/cygdrive/s/Compiler/platform/Mac/Bin/../libexec/gcc/i686-apple-darwin8/4.0.1/ld: table of contents for archive: /cygdrive/S/Compiler/platform/Mac/lib/libGLBasicMac.a is out of date; rerun ranlib(1) (can't load from it)
/cygdrive/s/Compiler/platform/Mac/Bin/../libexec/gcc/i686-apple-darwin8/4.0.1/ld: table of contents for archive: /cygdrive/S/Compiler/platform/Mac/OSX/Lib/libSDL_mixer.a is out of date; rerun ranlib(1) (can't load from it)
/cygdrive/s/Compiler/platform/Mac/Bin/../libexec/gcc/i686-apple-darwin8/4.0.1/ld: table of contents for archive: /cygdrive/S/Compiler/platform/Mac/OSX/Lib/libSDLmain.a is out of date; rerun ranlib(1) (can't load from it)
/cygdrive/s/Compiler/platform/Mac/Bin/../libexec/gcc/i686-apple-darwin8/4.0.1/ld: table of contents for archive: /cygdrive/S/Compiler/platform/Mac/lib/libCxImageMac.a is out of date; rerun ranlib(1) (can't load from it)
/cygdrive/s/Compiler/platform/Mac/Bin/../libexec/gcc/i686-apple-darwin8/4.0.1/ld: table of contents for archive: /cygdrive/S/Compiler/platform/Mac/OSX/Lib/libstdc++-static.a is out of date; rerun ranlib(1) (can't load from it)
/cygdrive/s/Compiler/platform/Mac/Bin/../libexec/gcc/i686-apple-darwin8/4.0.1/ld: table of contents for archive: /cygdrive/S/Compiler/platform/Mac/OSX/Lib/libstdc++.a is out of date; rerun ranlib(1) (can't load from it)
/cygdrive/s/Compiler/platform/Mac/Bin/../libexec/gcc/i686-apple-darwin8/4.0.1/ld: table of contents for archive: /cygdrive/S/Compiler/platform/Mac/OSX/Lib/libgcc.a is out of date; rerun ranlib(1) (can't load from it)
collect2: ld returned 1 exit status
*** FATAL ERROR - Please post this output in the forum
_______________________________________
*** Finished ***
Elapsed: 6.0 sec. Time: 00:12
Build: 0 succeeded.
*** 1 FAILED ***
***************************************************************************


*** Configuration: HTML5-WEBGL ***
precompiling:
GPC - GLBasic Precompiler V.10.037 SN:9655d67f - 3D, NET
Wordcount:119 commands
compile+link:
--WARNING--
Can't locate Java. It's really important.
Please install the Java SDK and set the environment variable:
JAVA_HOME to a value like: 'C:\Program Files (x86)\Java\jdk1.7.x_xx'

WARNING  root: (Emscripten: system change: 1.16.0|asmjs-unknown-emscripten|S:\Compiler\platform\JavaScript\bin\clang|3.3 vs 1.16.0|asmjs-unknown-emscripten|Q:\Compiler\platform\JavaScript\bin\clang|3.3, clearing cache)
INFO     root: (Emscripten: Running sanity checks)
WARNING  root: java does not seem to exist, required for closure compiler. -O2 and above will fail. You need to define JAVA in ~/.emscripten

**************************************************************************
_______________________________________
*** Configuration: HTML5 ***
precompiling:
GPC - GLBasic Precompiler V.10.037 SN:9655d67f - 3D, NET
Wordcount:119 commands
compile+link:
--WARNING--
Can't locate Java. It's really important.
Please install the Java SDK and set the environment variable:
JAVA_HOME to a value like: 'C:\Program Files (x86)\Java\jdk1.7.x_xx'

WARNING  root: (Emscripten: system change: 1.16.0|asmjs-unknown-emscripten|U:\Compiler\platform\JavaScript\bin\clang|3.3 vs 1.16.0|asmjs-unknown-emscripten|T:\Compiler\platform\JavaScript\bin\clang|3.3, clearing cache)
INFO     root: (Emscripten: Running sanity checks)
WARNING  root: java does not seem to exist, required for closure compiler. -O2 and above will fail. You need to define JAVA in ~/.emscripten


MrTAToad

  • Guest
Make sure the JAVA_HOME is set to the base directory and that %PATH% has Java's binary directory appended to it.  Also you can only use the 32-bit SDK